### A free/open-source library for quantitative finance

Classes | Typedefs | Functions
ql/math/sampledcurve.hpp File Reference

a class that contains a sampled curve More...

`#include <ql/math/array.hpp>`
`#include <ql/grid.hpp>`
`#include <ql/math/interpolations/cubicinterpolation.hpp>`
Include dependency graph for sampledcurve.hpp:

## Classes

class | SampledCurve
| This class contains a sampled curve. More...

## Typedefs

typedef SampledCurve | SampledCurveSet

## Functions

void | swap (SampledCurve &, SampledCurve &)
std::ostream & | operator<< (std::ostream &out, const SampledCurve &a)

## Detailed Description

a class that contains a sampled curve